Skip to main content
GET
List change requests for a Neki branch

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

Query Parameters

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

state
string[]

Filter change requests by state

target_types
string[]

Filter change requests by target type. Must contain one or more of: NekiAdmin, NekiCluster, NekiConfigurationProfile, NekiRouter, or NekiSidecar

target_id
string

Filter change requests by target ID. Requires target_types

period
enum<string>

Filter change requests by named period

Available options:
15m,
1h,
3h,
6h,
12h,
1d,
2d,
7d,
8d
completed_at
string

Filter change requests completed between two ISO 8601 timestamps

Response

Returns Neki change requests

type
string
required

The response type. Always "list" for paginated responses.

current_page
integer
required

The current page number

per_page
integer
required

The maximum number of results per page

next_page
integer | null
required

The next page number, or null when this is the last page

next_page_url
string | null
required

The next page of results, or null when this is the last page

prev_page
integer | null
required

The previous page number, or null when this is the first page

prev_page_url
string | null
required

The previous page of results, or null when this is the first page

data
object[]
required